# Cinder

# cinder::math< float > Struct Template Reference

`#include <CinderMath.h>`

List of all members.

## Static Public Member Functions
static float | acos (float x)
static float | asin (float x)
static float | atan (float x)
static float | atan2 (float x, float y)
static float | cos (float x)
static float | sin (float x)
static float | tan (float x)
static float | cosh (float x)
static float | sinh (float x)
static float | tanh (float x)
static float | exp (float x)
static float | log (float x)
static float | log10 (float x)
static float | modf (float x, float *y)
static float | pow (float x, float y)
static float | sqrt (float x)
static float | ceil (float x)
static float | abs (float x)
static float | floor (float x)
static float | fmod (float x, float y)
static float | hypot (float x, float y)
static float | hypot (float x, float y)
static float | signum (float x)
static float | min (float x, float y)
static float | max (float x, float y)
static float | clamp (float x, float min=0, float max=1)

### template<>
struct cinder::math< float >

## Member Function Documentation

static float cinder::math< float >::acos | ( | float | x | ) | `[static]`

static float cinder::math< float >::asin | ( | float | x | ) | `[static]`

static float cinder::math< float >::atan | ( | float | x | ) | `[static]`

static float cinder::math< float >::atan2 | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::cos | ( | float | x | ) | `[static]`

static float cinder::math< float >::sin | ( | float | x | ) | `[static]`

static float cinder::math< float >::tan | ( | float | x | ) | `[static]`

static float cinder::math< float >::cosh | ( | float | x | ) | `[static]`

static float cinder::math< float >::sinh | ( | float | x | ) | `[static]`

static float cinder::math< float >::tanh | ( | float | x | ) | `[static]`

static float cinder::math< float >::exp | ( | float | x | ) | `[static]`

static float cinder::math< float >::log | ( | float | x | ) | `[static]`

static float cinder::math< float >::log10 | ( | float | x | ) | `[static]`

static float cinder::math< float >::modf | ( | float | x,
|  | float * | y |
| ) |  |  | `[static]`

static float cinder::math< float >::pow | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::sqrt | ( | float | x | ) | `[static]`

static float cinder::math< float >::ceil | ( | float | x | ) | `[static]`

static float cinder::math< float >::abs | ( | float | x | ) | `[static]`

static float cinder::math< float >::floor | ( | float | x | ) | `[static]`

static float cinder::math< float >::fmod | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::hypot | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::hypot | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::signum | ( | float | x | ) | `[static]`

static float cinder::math< float >::min | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::max | ( | float | x,
|  | float | y |
| ) |  |  | `[static]`

static float cinder::math< float >::clamp | ( | float | x,
|  | float | min = `0`,
|  | float | max = `1` |
| ) |  |  | `[static]`

The documentation for this struct was generated from the following file:

- include/cinder/CinderMath.h